## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2jammy.20251208.0129

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2jammy.20251208.0129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 01:29:59 +0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-0jammy) jammy; urgency=high

  * Do not enforce old C++ standard (#155 <https://github.com/ros-planning/moveit_resources/issues/155>)
  * Declare conflict with old Pilz package (#153 <https://github.com/ros-planning/moveit_resources/issues/153>)
  * Limit gcc/clang options to non-Windows builds (#112 <https://github.com/ros-planning/moveit_resources/issues/112>)
  * Contributors: Michael Görner, Robert Haschke, Tobias Fischer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.2-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 18 Nov 2021 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.1-0jammy) jammy; urgency=high

  * Disable clang-tidy for ikfast package
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.0-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Apr 2021 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.7.2-0jammy) jammy; urgency=high

  * Adding PRBT config (#43 <https://github.com/ros-planning/moveit_resources/issues/43>)
  * Contributors: Christian Henkel, Joachim Schleicher

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 26 Mar 2021 00:00:00 -0000

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2jammy.20260128.2137

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2jammy.20260128.2137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 21:37:10 +0000

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2noble.20260301.2127

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_resources_prbt_ikfast_manipulator_plugin)

if(NOT MSVC)
  add_compile_options(-Wall)
  add_compile_options(-Wextra)
  add_compile_options(-Wno-unused-parameter)
  add_compile_options(-Wno-unused-variable)
endif()

# enable aligned new in gcc7+
if(CMAKE_COMPILER_IS_GNUCXX)
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -faligned-new")
  endif()
endif()

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  roscpp
  tf2_kdl
  tf2_eigen
  eigen_conversions
)

include_directories(${catkin_INCLUDE_DIRS} include)

catkin_package()

set(IKFAST_LIBRARY_NAME prbt_manipulator_moveit_ikfast_plugin)
add_library(${IKFAST_LIBRARY_NAME} src/prbt_manipulator_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS
  ${IKFAST_LIBRARY_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(
  FILES
  prbt_manipulator_moveit_ikfast_plugin_description.xml
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2jammy.20260301.2131

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2jammy.20260301.2131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 21:31:03 +0000

=== debian/control ===
Source: ros-one-moveit-resources-prbt-ikfast-manipulator-plugin
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-eigen, ros-one-tf2-kdl
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-resources-prbt-ikfast-manipulator-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-eigen-conversions, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-kdl
Description: The prbt_ikfast_manipulator_plugin package

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2noble.20251023.1504

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2noble.20251023.1504) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Oct 2025 15:04:38 +0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-0noble) noble; urgency=high

  * Do not enforce old C++ standard (#155 <https://github.com/ros-planning/moveit_resources/issues/155>)
  * Declare conflict with old Pilz package (#153 <https://github.com/ros-planning/moveit_resources/issues/153>)
  * Limit gcc/clang options to non-Windows builds (#112 <https://github.com/ros-planning/moveit_resources/issues/112>)
  * Contributors: Michael Görner, Robert Haschke, Tobias Fischer

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.2-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 18 Nov 2021 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.1-0noble) noble; urgency=high

  * Disable clang-tidy for ikfast package
  * Contributors: Robert Haschke

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.0-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Apr 2021 00:00:00 -0000

ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.7.2-0noble) noble; urgency=high

  * Adding PRBT config (#43 <https://github.com/ros-planning/moveit_resources/issues/43>)
  * Contributors: Christian Henkel, Joachim Schleicher

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 26 Mar 2021 00:00:00 -0000

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2noble.20251208.1216

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2noble.20251208.1216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 12:16:55 +0000

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2noble.20260128.2143

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2noble.20260128.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 21:43:08 +0000

## ros-one-moveit-resources-prbt-ikfast-manipulator-plugin 0.8.3-2noble.20260301.2127

=== debian/changelog ===
ros-one-moveit-resources-prbt-ikfast-manipulator-plugin (0.8.3-2noble.20260301.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 21:27:05 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-resources-prbt-ikfast-manipulator-plugin//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
